### Method

# Vips Source is_file

#### Declaration [src]

    gboolean
    vips_source_is_file (
      VipsSource* source
    )

#### Description [src]

Test if this source is a simple file with support for seek. Named pipes, for example, will fail this test. If `TRUE`, you can use `vips_connection_filename()` to find the filename.

Use this to add basic source support for older loaders which can only work on files.

#### Return value

Type: `gboolean`

`TRUE` if the source is a simple file.